2018.08.23

正誤情報

はじめてのAndroidプログラミング 第3版

初版第1刷

P110

Anko Commonsのバージョンは、執筆時は0.10.4でしたが、現在はバージョンアップして0.10.5になっています。そのためbuild.gradleに追加する設定も以下の用に偏こする必要があります。

誤:

ext.anko_version = ‘0.10.4’

正:

ext.anko_version = ‘0.10.5’

P315

データベースソフトのRealmも執筆時以降にバージョンアップしているため、build.gradle(Project MyScheduler)に追加するclasspathの設定も以下のように変更する必要があります。

誤:

classpath “io.realm:realm-gradle-plugin:5.0.0”

正:

classpath “io.realm:realm-gradle-plugin:5.4.1”